Bug 58745 - EDITING Extending date lists with dates of 29th or greater by dragging misses month ends
Summary: EDITING Extending date lists with dates of 29th or greater by dragging misses...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Andreas Heinisch
URL:
Whiteboard: target:7.2.0 target:7.1.3
Keywords:
Depends on:
Blocks: AutoFill
  Show dependency treegraph
 
Reported: 2012-12-25 11:08 UTC by Joachim Wetzig
Modified: 2021-04-04 17:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Wetzig 2012-12-25 11:08:41 UTC
CALC Spreadsheet Version 3.6.0.4 (Build ID: 932b512) (German) on Mac

Dates below are in German notation (dd.mm.yy)
When extending a date list with dates on 29th or higher (e.g. 30.10.09, 30.11.09, 30.12.09) by dragging it fills in a unexpected manner.
A list of 30.10.09, 30.11.09, 30.12.09 (i.e. 30th of any month) extends to 30.01.10, 02.03.10, 30.04.10,...
A list of 30.11.09, 31.12.09 (i.e. end of each month) extends to 31.01.10, 3.3.10, 3.4.10,...
No problem with dates from 1st to 28th of month (tested with 01.10.09,... and 28.10.09,... only).
Apparently the logic shifts from somehow recognizing "day of month" and correctly assigning "length of month" as interval to fixed number of days.

Cheers

J W
Comment 1 Jorendc 2012-12-27 18:36:51 UTC
I can reproduce that using LibreOffice 4.1.0.0.alpha0+ (Build ID: 699132c269a6c6d9e815fc582e2e6a106e46923)
TinderBox: MacOSX-Intel@1-built_no-moz_on_10.6.8, Branch:master, Time: 2012-12-27_01:05:51

I edit first the cells where I'm going to enter the date
Select a couple of cells -> right click -> Format Cells... -> Numbers -> Language German (Germany) -> Category 'Date' -> double click on the date format '31.12.99' (=TT.MM.JJ).

Also reproducible using other Languages (tried Dutch (Belgium)) with format code '31/12/99' (=DD/MM/JJ).

There is a problem in handling the month February.

Tested with Mac OS X 10.8.2
Comment 2 A (Andy) 2014-10-18 18:30:02 UTC
Reproducible with LO 4.3.2.2 (Win 8.1)

30.10.09, 30.11.09, 30.12.09
extends to
30.01.10, 28.02.10, 30.03.10, 30.04.10, 30.05.10, 30.06.10, 30.07.10, 30.08.10

31.10.09, 30.11.09, 31.12.09, 31.01.09
extends to
01.11.09, 01.12.09, 01.01.10, 01.02.09, 02.11.09, 02.12.09, 02.01.10, 02.02.09, 03.11.09, 03.12.09
Comment 3 QA Administrators 2015-12-20 16:19:07 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-01-03 19:50:24 UTC Comment hidden (obsolete)
Comment 5 Thomas Lendo 2018-10-21 20:43:46 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from today
Comment 6 QA Administrators 2019-10-22 02:32:12 UTC Comment hidden (obsolete)
Comment 7 Xavier Van Wijmeersch 2019-10-22 18:05:08 UTC
Reproducible with

30/10/19	30/11/19	30/12/19
extends to
30/01/20	29/02/20	30/03/20	30/04/20	30/05/20	30/06/20

31/10/19	30/11/19	31/12/19	01/01/19
extends to
01/11/19	01/12/19	01/01/20	02/01/19	02/11/19	02/12/19 ==> 6.3.2.2
01/12/19	01/01/20	02/01/19	02/11/19	02/12/19	02/01/20 ==> 6.4.0.0.alpha1+

Version: 6.4.0.0.alpha1+
Build ID: 2e81c006b85214d28927ae4e3e18eda5f3be944a
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Version: 6.3.2.2
Build ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 8 Commit Notification 2021-03-25 08:43:17 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ea61644abe9e7cd35cdb54452dac327782bbc402

tdf#58745 - Detect end of month when extending a date list

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-04-04 17:55:48 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/d78d44bfbf4b1ae7aa68b38fdfc916de47fce05f

tdf#58745 - Detect end of month when extending a date list

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.